Skip to main content

Get Showcase Creative Resource by ID

API Description​

Get information about a specific showcase creative resource, including resource state. Supply the unique Apple-generated ID assigned to the creative, and the service will return the corresponding resource.

note

Service does not return "soft" deleted resources. Refer to the Get service

Request​

URI Parameters​

NameInput
orgId
REQUIRED
brandId
REQUIRED
creativeId
REQUIRED
Path Template
GET {url}/api/{version}/orgs/{orgId}/brands/{brandId}/showcase-creatives/{creativeId}
Path Example
GET {url}/api/v1/orgs/9467895078742654934/brands/9467895078742654921/showcase-creatives/9467895078742654987

Request Headers​

NameInput
Authorization
REQUIRED
Accept
OPTIONAL
Example Request Headers
Authorization: Bearer <access_token>
Accept: application/json

Request Body​

None

Response​

200 OK or Error

Response Headers​

Name
apple-request-id
content-type
etag
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: fb6717f3-8461-4b08-8005-504c939af21c
content-type: application/json
etag: "1e5fbf1c-ddd5-11ec-8016-f7b230a5146d"

Response Body​

NameOutput
$.orgId
REQUIRED
$.brandId
REQUIRED
$.id
REQUIRED
$.createdDate
REQUIRED
$.updatedDate
REQUIRED
$.state
REQUIRED
$.etag
REQUIRED
$.showcaseCreativeDetails
REQUIRED
$.metadata[]
CONDITIONAL
Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"brandId": "9467895078742654921",
"id": "9467895078742654987",
"createdDate": "2026-10-01T12:29:12.00Z",
"updatedDate": "2026-10-01T12:29:12.00Z",
"state": "IN_REVIEW",
"etag": "1e5fbf1c-ddd5-11ec-8016-f7b230a5146d",
"showcaseCreativeDetails": {
"contents": [
{
"placement": "HEADLINE",
"descriptions": [
{
"locale": "en-US",
"text": "Happy New Year!"
}
]
},
{
"placement": "BODY",
"descriptions": [
{
"locale": "en-US",
"text": "Ring in the New Year!"
}
]
}
],
"callToAction": "WEBSITE",
"photo": {
"id": "9467895078742654949",
"captions": [
{
"altText": "Storefront and and outdoor patio with tables and chairs",
"locale": "en-US"
}
]
}
},
"metadata": []
}